package web

import (
	"goskeleton/app/global/consts"
	"goskeleton/app/service/ai_model_cli"
	"goskeleton/app/utils/response"

	"github.com/gin-gonic/gin"
)

type DocRefine struct {
}

//	Ai 模型进行文档优化

func (u *DocRefine) DocRefine(context *gin.Context) {
	if r, recogWords := ai_model_cli.RequestQianFan(context); r {
		response.Success(context, consts.CurdStatusOkMsg, recogWords)
	} else {
		response.Fail(context, consts.DocRefineFailCode, consts.DocRefineFailMsg, "")
	}
}
